package com.muyu.source.service;

import java.util.List;

import com.muyu.common.core.domain.Result;
import com.muyu.source.domain.SysDataSource;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 数据接入基本信息Service接口
 *
 * @author wan
 * @date 2024-04-20
 */
public interface SysDataSourceService extends IService<SysDataSource> {
    /**
     * 查询数据接入基本信息列表
     *
     * @param sysDataSource 数据接入基本信息
     * @return 数据接入基本信息集合
     */
    public List<SysDataSource> list(SysDataSource sysDataSource);

    Result<String> connectList(Long id);
}
