package com.muyu.source.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.domain.Result;
import com.muyu.source.domain.SysAccess;
import com.muyu.source.domain.SysDataSource;
import com.muyu.source.domain.red.UserPassword;
import com.muyu.source.mapper.SysAccessMapper;
import com.muyu.source.mapper.SysDataSourceMapper;
import com.muyu.source.service.SysAccessService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.sql.*;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

import static org.bouncycastle.asn1.x500.style.RFC4519Style.userPassword;

/**
 * 接入类型Service业务实现层
 *
 * @ClassName SysAccessServiceImpl
 * @Author AnNan.Wang
 * @Date 2024/4/21 11:03
 */

@Slf4j
@Service
public class SysAccessServiceImpl extends ServiceImpl<SysAccessMapper,SysAccess>
        implements SysAccessService {
    @Autowired
    private SysAccessMapper sysAccessMapper;
    @Autowired
    private SysDataSourceMapper sysDataSourceMapper;

}
