package com.muyu.source.domain.red;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 密码
 *
 * @ClassName userPassword
 * @Author AnNan.Wang
 * @Date 2024/4/21 21:36
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "userPassword", description = "数据库用户名密码")
public class UserPassword {
    /**
     * 用户名
     */
    private String USERNAME;
    /**
     * 密码
     */
    private String PASSWORD;
}
